apiVersion: piraeus.io/v1
kind: LinstorCluster
metadata:
  name: linstorcluster
  namespace: linstor
spec:
  patches:
  - target:
      kind: Deployment
      name: linstor-controller
    patch: |
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: linstor-controller
      spec:
        template:
          spec:
            containers:
            - name: linstor-controller
              startupProbe:
                $patch: delete
              livenessProbe:
                $patch: delete
